CoCoALib - Feature #457

Zero to the power zero, 070
06 Mar 2014 15:14 - John Abbott

Status: Closed Start date: 06 Mar 2014
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Maths Bugs Estimated time: 1.50 hour
Target version: CoCoALib-0.99532 Spent time: 1.75 hour
Description

After getting "burned” last night when trying to compute 070 (as an entry in a Vandermonde matrix), | have decided that we should
review forbidding the computation of "zero to the power zero".

History

#1 - 06 Mar 2014 15:32 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 50

In an algebraic/combinatorial context it makes sense to define the value of the formula 070 to be 1 even though in an analytical context (where
non-integer exponents are contemplated) this definition might be regarded as unwarranted. Since CoCoA's computations are in the realm of algebra
(and indirectly combinatorics) where exponents are integers it makes sense to adopt the definition appropriate to that domain.

Over lunch Anna agreed with my arguments; | shall now make all the necessary changes.

#2 - 06 Mar 2014 17:15 - John Abbott

- Status changed from In Progress to Feedback
- Assignee set to John Abbott

- % Done changed from 50 to 90

Implemented changes to IntOperations.C and ring.C (the old code was buggy).

Added new tests. Modified documentation.
Checked in everything.

#3 - 21 Mar 2014 14:14 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Tidying up; feedback period revealed no problems (in 15 days). Closing.

#4 - 21 Mar 2014 14:24 - Anna Maria Bigatti
- Target version changed from CoCo0A-5.0.9 to CoCoALib-0.99532

#5 - 03 Apr 2014 11:50 - Anna Maria Bigatti
- Estimated time set to 1.50 h
